> ## Documentation Index
> Fetch the complete documentation index at: https://developers.superiorvan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lead

> Retrieve lead status using the leadId returned from the create endpoint.

Retrieve the current status for a submitted lead using the `leadId` returned from **Create Lead**.


## OpenAPI

````yaml GET /lead/{leadId}
openapi: 3.1.0
info:
  title: Superior Van Partner API
  description: >-
    Endpoints for vendor partners to submit leads and retrieve lead status from
    Superior Van & Mobility.
  license:
    name: Proprietary
  version: 1.0.1
servers:
  - url: https://api.superiorvan.com/v1
    description: Production
  - url: https://sandbox.superiorvan.com/v1
    description: Sandbox
security:
  - apiKeyAuth: []
paths:
  /lead/{leadId}:
    get:
      summary: Get lead
      description: Retrieve the current status for a submitted lead.
      operationId: getLead
      parameters:
        - name: leadId
          in: path
          description: Lead ID returned from the create lead endpoint
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Lead status retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLeadResponse'
              example:
                statusCode: 200
                body:
                  leadId: '61364584065'
                  status: In Progress
        '403':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Lead not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                statusCode: 404
                body:
                  message: 'No lead was found with the leadId: 61364584065'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    GetLeadResponse:
      type: object
      properties:
        statusCode:
          type: integer
          example: 200
        body:
          type: object
          properties:
            leadId:
              type: string
              description: Lead ID returned from the create lead endpoint
            status:
              type:
                - string
                - 'null'
              enum:
                - In Progress
                - Quoted
                - Evaluation Scheduled
                - Won
                - Lost
                - null
              description: Current lead status. Unmapped HubSpot stages may return null.
          required:
            - leadId
            - status
      required:
        - statusCode
        - body
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          description: Response status code
        body:
          type: object
          properties:
            error:
              type: string
            message:
              type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued to your vendor account

````